Bug 893790 - Port asymptote's use of PIL to be compatible with Pillow
Port asymptote's use of PIL to be compatible with Pillow
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: asymptote (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-09 17:56 EST by Toshio Ernie Kuratomi
Modified: 2013-01-31 04:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-31 04:08:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that updates PIL imports. (790 bytes, patch)
2013-01-09 17:56 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-09 17:56:32 EST
Created attachment 675902 [details]
Patch that updates PIL imports.

Description of problem:

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the asymptote source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.  the patch should be upstreamable as PIL supports both forms of import.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Toshio Ernie Kuratomi 2013-01-29 12:13:16 EST
If I don't hear anything back, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.
Comment 2 Tom "spot" Callaway 2013-01-31 04:08:33 EST
Fixed in rawhide (2.21-4.fc19), patch sent upstream.

Note You need to log in before you can comment on or make changes to this bug.